
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WinAPI入门 / iVAN</title>

    <meta name="description" content="WinAPI入门 不要觉得奇怪,虽然我们拥有众多&quot;所见即所得&quot;的编程方式来开发众多界面精美的应用程序,这些可视化的编程环境提供了大量的类库和控件,但是在开发者享受方便的同时, 他们的手脚已经不知不觉的受到了限制,有很多深入到Windows内部的操作它们无法完成, 为什么?因为所用的类库不支持. 事实上这些类库与控件都是架构在Window API的基础上面的,API即 ApplicationProgramming Interface -- 应用编程接口 的缩写,它不仅为应用程序所调用,同时也是  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WinAPI入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>不要觉得奇怪，虽然我们拥有众多“所见即所得”的编程方式来开发众多界面精美的应用程序，这些可视化的编程环境提供了大量的类库和控件，但是在开发者享受方便的同时， 他们的手脚已经不知不觉的受到了限制，有很多深入到Windows内部的操作它们无法完成， 为什么？因为所用的类库不支持。</p>
<p>事实上这些类库与控件都是架构在Window API的基础上面的，API即 ApplicationProgramming Interface -- 应用编程接口 的缩写，它不仅为应用程序所调用，同时也是 Windows的一部分，Windows自身的运行也调用这些API函数。要了解如何使用API就必须了 解一些Windows的运行机制。</p>
<p>简单地说，Windows是由事件驱动的抢占式多任务操作系统。事件驱动是相对于过程驱动而言的，它改变了原来文件的顺序执行方式；Windows既然是多任务系统，就必须能同时 处理多个事件，系统为应用程序生成一个消息队列，消息在上面被张贴和发送，应用程序只 要从其消息队列中取出消息，然后一一执行就可以了。</p>
<p>现在，我将使用最最基本的范例程序 HelloWin 来说明WIN32 API的运行机制 首先，一个程序一定要有进入点，Win32 App的进入点函数的名称是WinMain，它的原型如下 int APIENTRY WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine,int nCmdShow) hInstance是所谓的“实例句柄”，它是一个数值，当程序在Windows下运行的时候，它被用 来唯一的标示这个程序，虽然用户可能同时运行多个同一个程序，即运行多个“实例”，我 们可以看到，每一个实例都有不同的hInstance值。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 05:35:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%97%b6/" title="同时">同时</a>, <a href="https://www.iamivan.net/tag/%e6%b6%88%e6%81%af%e9%98%9f%e5%88%97/" title="消息队列">消息队列</a>, <a href="https://www.iamivan.net/tag/windows%e7%aa%97%e5%8f%a3%e8%bf%87%e7%a8%8bwinapi/" title="windows窗口过程winapi">windows窗口过程winapi</a>, <a href="https://www.iamivan.net/tag/winapi-%e6%b6%88%e6%81%af/" title="winapi 消息">winapi 消息</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80%e6%8e%a7%e4%bb%b6winapi/" title="c语言控件winapi">c语言控件winapi</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WinAPI入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBv2ab.html" rel="bookmark">Win32开发入门（9） 绘图（B）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们今天继续涂鸦,实践证明,涂鸦是人生一大乐趣. 首先,我们写一个程序骨架子,以便 做实验. #include &lt;Windows.h&gt; LRESULT CALLBACK MainWinProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam); int WINAPI WinMain( HINSTANCE hThisApp, HINSTANCE hPrevApp, LPSTR lpsCmdln, int iShow) { WNDCLASS wc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq844kb.html" rel="bookmark">如何使用C&num;操作WinAPI</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows API是对Windows操作系统的API函数,在C#中调用Windows API的实质是托管代码对非托管代码的调用. 主要使用的格式就是:   using System.Runtime.InteropServices; namespace TestWinAPI1 {class Program {static void Main(string[] args) { Beep(100, 100); } [DllImport(&quot;kernel32&quot;, CharSet = Char			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kZo9M.html" rel="bookmark">start-想用按钮叫出对话框，可是不知在哪里出了问题，我是刚入门，各位高人帮我看看，大谢了。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 想用按钮叫出对话框,可是不知在哪里出了问题,我是刚入门,各位高人帮我看看,大谢了. #include #define ID_START 2 LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM); BOOL CALLBACK StartMenuProc (HWND, UINT, WPARAM, LPARAM); int WINAPI WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRv66b.html" rel="bookmark">eMbedded Visual C&plus;&plus;开发入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				eMbedded Visual C++开发入门 任何一个学过编程的朋友都对HELLO不会陌生,但这次的这个和以前的不太一样,它是一个特别的程序,不是在功能上,是在思想上.这是一个非常经典的程序,本不想列出这个程序,但这是WINCE编程的典型框架,写出它可以让我们对WINCE的程序有一个很直观的认识.还有一个重要的原因是,这个例子程序给出了一个新的代码风格,和以前的WIN32程序有所不同,我十分欣赏这种代码的或者说程序结构,因此便再一次将这个程序写出.不过我做了一些小小的变动.主要的目的: 1.了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8J3bg.html" rel="bookmark">Java新手入门教程：新手必须掌握的30条Java基本概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Java新手必看教程是什么?当然是绿茶小编带来的Java入门需掌握的30个基本概念啦,掌握了这些概念对于学习Java大大有利,正在学习Java编程的同学们快来看看吧. 1.OOP中唯一关系的是对象的接口是什么,就像计算机的销售商她不管电源内部结构 是怎样的,他只关系能否给你提供电就行了,也就是只要知道can or not而不是how and why.所有的程序是由一定的属性和行为对象组成的,不同的对象的访问通过函数调用来完成,对象间所有的交流都是通过方法调用,通过对封装对象数据,很大 限度上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxDjM7.html" rel="bookmark">Python入门之modf&lpar;&rpar;方法的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了Python入门之modf()方法的使用,是Python学习当中的基础知识,需要的朋友可以参考下     modf()方法返回两个项的元组x的整数小数部分.这两个元组具有相同x符号.则返回一个浮点数的整数部分. 语法 以下是modf()方法的语法: ? 1 2 3 import math   math.modf( x ) 注意:此函数是无法直接访问的,所以我们需要导入math模块,然后需要用math的静态对象来调用这个函数. 参数 x -- 这是一个数值表达式 返回值 这种方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbarQM5.html" rel="bookmark">ios入门OC&lowbar;UI晋级学什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. OC 语法初步, 你可能学到面向对象最近本的概念, 并且可以大致的建立几个自以为是的类,但这仅仅是开始. 你知道为什么面向对象要有3大特性么.知道他们是用到什么设计模式的么 2. 你可能学到了NSString, NSMutableString 字符串的基本操作方法, 你可能会花大量的时间去看那些方法. 从没考虑过方法的实用性. UI方法成千上万, 大量的时间浪费到寻找上边可能会很累的. 所以, 学会现用现看 3. 你可能学到了NSArray, NSMutableArray, NSDicti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpk2ejM.html" rel="bookmark">本人小白，要做ios app 需要怎么入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 本人小白,要做ios app 需要怎么入门 本人小白,基本没有基础,准备学ios 做个app请问需要学习那些语言,用什么平台?推荐哪些书籍,十分感谢,app是一个查询类的软件,输入关键词,查找软件里数据库信息 解决方案 如果你还在上学,那么你需要基础四门课:1,计算机组成原理 2,操作系统. 3,数据结构 4,计算机网络 如果你准备速成找工作,那么你应该学习:Objective-C程序设计,swift 语法,&lt;120天从入门到精通实战&gt;, 当然入门最快的不是看书,是看视频,从网上找一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAakZM.html" rel="bookmark">专访 &vert; 杨强教授谈CCAI、深度学习泡沫与人工智能入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7 月 22 - 23 日,由中国人工智能学会.阿里巴巴集团 &amp; 蚂蚁金服主办,CSDN.中国科学院自动化研究所承办,作为独家直播合作伙伴的第三届中国人工智能大会(CCAI 2017)将在杭州国际会议中心盛大开幕. 作为大会主席,香港科技大学计算机与工程系主任.AAAI Fellow 杨强教授最近接受了大会记者专访.这次访谈干货满满,其中有不少话题是杨强教授首度公开谈及,比如下一个 AI 突破口.深度学习泡沫.AI 之路心得.本科生入门 AI.好学生要能教导师学习,等等. (点击阅读杨强教授历史			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE4d6z.html" rel="bookmark" class="title">android百度地图有提供路线选择功能吗</a>
					<div>
						问题描述 android百度地图有提供路线选择功能吗 android百度地图有提供路线选择功能吗?和百度地图一样输入起始点,驾车方式,从若干条路线中选择一条路线 解决方案 你搜索后是会返回给你多条路线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDJeWM.html" rel="bookmark" class="title">PHP 程序员解决问题能力的八个级别</a>
					<div>
						这个话题老生长谈了,在面试中必然考核的能力中,我个人认为解决问题能力是排第一位的,比学习能力优先级更高.解决问题的能力既能看出程序员的思维能力,应变能力,探索能力等,又可以看出他的经验.如果解决问题能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR5dGb.html" rel="bookmark" class="title">Flash动画下载助手FlashCatcher</a>
					<div>
						flash动画|下载 在上网浏览页面的时候,看到页面上漂亮的Flash动画,很想把它保存到本地以便日后慢慢欣赏,可是大部分页面都进行了加密,对Flash动画的下载做了保护使其下载变的相对复杂起来.难道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yYnZz.html" rel="bookmark" class="title">如何禁止Outlook邮件预览功能</a>
					<div>
						经常使用微软的Outlook或者是Outlook Express收发电子邮件的用户都知道,这两个电子邮件收发软件都具有预览的功能,其好处就是让你在不用打开邮件的情况下,能够直接查看电子邮件的文本内容. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElJqoz.html" rel="bookmark" class="title">WinRAR&OpenCurlyDoubleQuote;不务正业&rdquo;之用法两则</a>
					<div>
						WinRAR这个软件我们都非常熟悉,但你知道该软件也有&quot;不务正业&quot;的时候吗?下面我们就偷偷去看一下它都干了什么. 一.轻松进行磁盘探密 我们都知道文件夹有只读.存档和隐藏的属性,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK0NBM.html" rel="bookmark" class="title">CB下实现对端口读写的两种方法</a>
					<div>
						在C++Builder中,不能够使用Turbo C中的outputb和inputb端口读写函数.但我们可以有另外两种办法实现这个功能.本文介绍怎样在C++Builder下实现端口读写,并给出两种方法的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPq90z.html" rel="bookmark" class="title">Windows 7操作系统最简瘦身实用教程</a>
					<div>
						现在的人们生活水平高了,吃得好睡得香,人也容易&quot;发福&quot;.但是这个 体重上去容易,下来就没那么容易了.同样的,Win7用户在Win7系统使用了一段时间之后,会慢慢地感觉到电脑系统的运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7nrab.html" rel="bookmark" class="title">WINDOWS局域网共享打印机教程 打印机共享教程</a>
					<div>
						让大家都知道局域网是怎么样共享打印机的.呵呵. 首先我们说说要实现局域网打印机共享的必备要求把: 需要两台或者多台电脑组成的局域网络,打印机一台(针式打印机.喷墨打印机.激光打印机等都可以)然后选择局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl3qPz.html" rel="bookmark" class="title">VMware Workstation 网卡模式详解</a>
					<div>
						小编刚接触系统集成的时候,因为身边资源有限,所以只能在 VMware 虚拟环境上做一些测试.现在最新 VMware Workstation V8 已经发布了,此次更新不仅在原版安装文件上进行精简,保持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jrm3b.html" rel="bookmark" class="title">word2013中如何插入数学公式</a>
					<div>
						  word2013中插入数学公式的步骤如下: 步骤一:安装好MathType公式编辑器(没安装的赶紧先安装,相信你早已安装). 步骤二:点击&quot;视图&quot;--点击&quot;宏&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eEKOb.html" rel="bookmark" class="title">百度云管家如何避免上传和下载文件消耗流量？</a>
					<div>
						  上传下载会消耗流量,因此请尽量选择在Wi-Fi环境下进行操作.您也可以在设置界面中选择&quot;仅在Wi-Fi下上传下载&quot;选项,当您的网络环境在非Wi-Fi环境下,不会对传输列表中的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaV7Wz.html" rel="bookmark" class="title">迅雷7&period;9下载一直提示连接资源怎么回事</a>
					<div>
						迅雷7.9下载一直提示连接资源怎么回事   迅雷7.9下载提示连接资源没反应!这是一个重大问题,看一看大神们是如何解决的: 1.下载一个迅雷7.9的安装包测试查看一下,是否有速度,进行判断是个别任务下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z724eXp.html" rel="bookmark" class="title">Administrator账号是什么意思？</a>
					<div>
						  Administrator是什么意思 Administrator管理员账号对电脑安全起着很大的作用,很多黑客均是盗取Administrator管理员账号对他人电脑或者服务器进行入侵,由于Admin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NJEqM.html" rel="bookmark" class="title">href-淘宝页面超链接在apache&lowbar;php通过127&period;0&period;0&period;1访问失效</a>
					<div>
						问题描述 淘宝页面超链接在apache_php通过127.0.0.1访问失效 关于Apache PHP下访问淘宝超链接的问题. 例如这样的网址http://item.taobao.com/item.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k049M.html" rel="bookmark" class="title">js实现鼠标悬停图片上时滚动文字说明的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现鼠标悬停图片上时滚动文字说明的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;html&gt; &lt;title&gt;js实现鼠标悬停图片上时的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QK5Pp.html" rel="bookmark" class="title">oracle自定义函数的问题，求助大神啊</a>
					<div>
						问题描述 oracle自定义函数的问题,求助大神啊 在oracle中定义一个函数,用来实现从身份证号中提取出生日期并将提取结果保存到指定表中.提示:提前创建一个至少包含(身份证 varchar2,出生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Wx4p.html" rel="bookmark" class="title">【译】Berkeley DB 设计经验</a>
					<div>
						英文原文链接:http://www.aosabook.org/en/bdb.html 中文翻译连接:http://www.ituring.com.cn/article/details/8111  作者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRD6Vb.html" rel="bookmark" class="title">php控制linux服务器常用功能 关机 重启 开新站点等&lowbar;php实例</a>
					<div>
						php 里面有个 system 方法, 可以调用系统命令. 先建立一个脚本(比喻 /root/reboot_server.sh ),重启用的. 复制代码 代码如下: #!/bin/bash reboo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYx6Gp.html" rel="bookmark" class="title">CA身份认证及访问管理解决方案</a>
					<div>
						用户身份识别及其访问权限控制是业务的核心,必须对其实行有效的管理.随着访问点以及企业内部和外部各种用户的不断增加,身份的数量也在迅速攀升.要应对预算减少而风险增大的压力,今天的企业需要的是集成化的安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRERxb.html" rel="bookmark" class="title">做分类信息的网站要有耐心</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 我们从2005年1月成立, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYDYAp.html" rel="bookmark" class="title">Java二进制指令代码解析</a>
					<div>
						小注:去年在看&lt;深入解析JVM&gt;书的时候做的一些记录,同时参考了&lt;Java虚拟机规范&gt;.只是对指令的一些列举,加入了一些自己的理解.可以用来查询. Java二进制指令代码解析  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK76Rb.html" rel="bookmark" class="title">A5 SEO诊断优化小组：教你选择URL</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站URL一直是建站初期站长们头疼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj0voM.html" rel="bookmark" class="title">Windows Server 2008 R2对RDVH计算机进行配置</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   在Win2008 R2 VDI动手实验系列的上篇文章中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zwqrb.html" rel="bookmark" class="title">php下尝试使用GraphicsMagick的缩略图功能&lowbar;php技巧</a>
					<div>
						常用的图片处理工具有GD,ImageMagick,GraphicsMagick等等.GD就是个阿斗,略过不提:ImageMagick是目前最流行的图片处理工具,它的功能非常丰富:GraphicsMag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLj96M.html" rel="bookmark" class="title">java实现根据ip地址获取地理位置&lowbar;java</a>
					<div>
						最近项目某个功能需要根据ip地址从第三方接口获取详细的地理位置,从网上找了很多例子,主要接口有新浪的,淘宝的,腾讯的.试了淘宝的,如果是数量级小的还可以,如果数量级达到上十万级就速度慢了,会导致系统崩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1YeKb.html" rel="bookmark" class="title">使用BootStrap建立响应式网页&mdash;&mdash;通栏轮播图（carousel）&lowbar;javascript技巧</a>
					<div>
						1.bootstrap提供了js插件--轮播图 我们还是照旧,直接拿过来用,需要改的地方再说. 2.修改 小屏幕看小图,大屏图看大图:这个可以利用自定义属性(data-XXX)data-img-lg( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYQ85b.html" rel="bookmark" class="title">如何自学大数据？请前辈们支支招！</a>
					<div>
						问题描述 我是一个大四的实习生,目前在北京一个小公司当实习生,java程序员.但是我对我现在的水平不满意,因为我想那更高的薪水呀(目前4.5K...),所以想学习大数据,我明年6月份毕业,想问问前辈们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2rRjM.html" rel="bookmark" class="title">非法广告堂而皇之出没各大网站</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 1月18日,国家工商总局将新年的第一号公告指向了互联网广告,在这份&lt;国家工商总局互联网广告专项监测公告&gt;(工商广公字[2010]1号)中,工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWRwlz.html" rel="bookmark" class="title">sap idoc 和 oa 数据传输出现问题，求大神帮忙</a>
					<div>
						问题描述 sap发出的idoc的状态为3,外部系统(oa)有时可以接收,有时又没有数据过来. 解决方案 解决方案二:这个是不是在OA监听上有什么问题呢?解决方案三:我也在做SAP的集成,在OA中进行S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWnyrp.html" rel="bookmark" class="title">求一个JAVA简单计算器的</a>
					<div>
						问题描述 就是用JAVA编辑的可以+,-,*,/四个算法就OK然后镶嵌在网页使用 解决方案 解决方案二:http://www.jb51.net/article/7054.htm这样子的?解决方案三:不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
